/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { GraphQLSchema } from 'graphql';
import { DependencyContainer } from 'tsyringe';
import { RequestContextProvider } from '..';
export declare function registerAppBuilder(ctx?: DependencyContainer): void;
export declare function registerLogger(ctx?: DependencyContainer): void;
export declare function registerSchema(schema: GraphQLSchema, ctx?: DependencyContainer): void;
export declare function registerRequestContextProviders(providers: RequestContextProvider<any, unknown, unknown>[], ctx: DependencyContainer): void;
